#!/bin/sh

#zypper uses rpm

for arg in "$@" 
do
      index=`expr $index + 1` 
      if test $index -gt 1 ; then
          # echo RRR $index $arg - $PAQS
          narg=`echo $arg| sed 's/^\"//'| sed 's/\"$//'`
          PAQS="$PAQS $narg"                 
      fi
done  

URPMI="urpmi --force "

# esta bien asumir que si siempre?

TACCION=$1

ACCION=`echo $TACCION|awk -F'-' '{print $1}'`
ACCIONINFO=`echo $TACCION|awk -F'-' '{print $2}'`
EACCION=`echo $ACCIONINFO|awk -F'_' '{print $1}'`
E2ACCION=`echo $ACCIONINFO|awk -F'_' '{print $2}'`
echo Accion: $ACCION, Opciones: $ACCIONINFO Distro: SUSE
echo Paquetes: $PAQS

OS=`echo $EACTION |cut -b1`
OND=`echo $EACTION |cut -b2`
ONU=`echo $EACTION |cut -b3`
OF=`echo $EACTION |cut -b4`
OBD=`echo $EACTION |cut -b5`

if test "x$ACCION" = xinstall ; then
 if test "x$E2ACCION" = xdwld ; then
     echo  $URPMI --no-install   $PAQS
  $URPMI --no-install  $PAQS
  exit
 fi


OPTS=



if test  "x$OS" != x ; then
    echo $URPMI install-src $PAQS
    $URPMI install-src $PAQS
    # ver -d buildeps -D nonbuilddeps
fi

if test "x$OND" != x ; then
   exit
 fi

if test  "x$ONU" != x ; then
 #  OPTS= "$OPTS --auto" 
 echo
fi
if test "x$OBD" != x ; then

    exit
fi
if test  "x$OF" != x ; then
  #  OPTS= "$OPTS --replacepkgs" 
 echo

fi
    #echo "$URPMI --auto  --replacepkgs  $PAQS;URPMI update  $PAQS "
$URPMI $OPTS  $PAQS


elif test "x$ACCION" = xoriginalsourceinstall ; then
   echo esto lo maneja source.sh, mal llamado desde babel
elif test "x$ACCION" = xsearch ; then
 urpmq -y $PAQS #local
 urpmf -y $PAQS # repo
    echo No se como se hace
    #    if test "x$EACCION" = xnames -o "x$EACCION" = x ; then
    # echo  search  $PAQS
    # $URPMI search  $PAQS
  #elif test "x$EACCION" = xall ; then
   #  echo $URPMI search -d $PAQS
    # $URPMI search -d $PAQS
  #else
   #  echo error opcion $EACCION diferente a la habilitada con search
  #fi
elif test "x$ACCION" = xinfo  ; then
       #la opcion aca EACCION no parece servir
     #echo rpm -i 
     #rpm -i 
     #echo $URPMI info  $PAQS
     #$URPMI info  $PAQS
 urpmq -yi $PAQS #local
 urpmf -yi $PAQS # repo
elif test "x$ACCION" = xremove ; then
    urpme $PAQS
    # echo rpm --erase  $PAQS
    # rpm --erase  $PAQS
elif test "x$ACCION" = xspecial ; then
echo $URPMI --$ACCIONINFO $PAQS
    $URPMI --$ACCIONINFO $PAQS

elif test "x$ACCION" = xfix; then
   echo No se  
elif test "x$ACCION" = xclean ; then
    #echo $URPMI --clean
    # $URPMI --clean 
     #apt-cache autoclean only obsolete
     echo no se
elif test "x$ACCION" = xdelrepo ; then
    echo No hecho todavia
    echo urpmi.removemedia
elif test "x$ACCION" = xrefresh ; then
   echo $URPMI.update
    $URPMI.update

elif test "x$ACCION" = xupdate ; then
   echo no se 
elif test "x$ACCION" = xdistupdate ; then
    echo no se
#echo     $URPMI dup
#    $URPMI dup
elif test "x$ACCION" = xdepclean ; then
echo     $URPMI   --auto-orphans sera asi?
    $URPMI   --auto-orphans
elif test "x$ACCION" = xstats ; then
    echo No se como
elif test "x$ACCION" = xaddrepo ; then
    #PAQ-$TOOLSET.sh ar $distro $nombre
    echo
else
 echo $URPMI $ACCION $PAQS
  $URPMI $ACCION $PAQS 
fi

#--buildrequires

#urpmi.addmedia
#urpmi.removemedia
